import { defineConfig } from 'astro/config'
import preact from '@astrojs/preact'

import node from '@astrojs/node'

export default defineConfig({
    server: {
        port: 3000,
    },
    markdown: {
        shikiConfig: {
            theme: 'github-light',
        },
    },
    integrations: [preact()],
    adapter: node({
        mode: 'standalone',
    }),
    output: 'hybrid',
    outDir: './out/astro',
    build: {
        client: './out/astro/client',
        server: './out/astro/server',
    },
})
